[arch-commits] Commit in gnupg/repos (6 files)
Gaëtan Bisson
bisson at archlinux.org
Wed Mar 1 20:33:04 UTC 2017
Date: Wednesday, March 1, 2017 @ 20:33:04
Author: bisson
Revision: 289765
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
gnupg/repos/testing-i686/
gnupg/repos/testing-i686/PKGBUILD
(from rev 289764, gnupg/trunk/PKGBUILD)
gnupg/repos/testing-i686/install
(from rev 289764, gnupg/trunk/install)
gnupg/repos/testing-x86_64/
gnupg/repos/testing-x86_64/PKGBUILD
(from rev 289764, gnupg/trunk/PKGBUILD)
gnupg/repos/testing-x86_64/install
(from rev 289764, gnupg/trunk/install)
-------------------------+
testing-i686/PKGBUILD | 67 ++++++++++++++++++++++++++++++++++++++++++++++
testing-i686/install | 10 ++++++
testing-x86_64/PKGBUILD | 67 ++++++++++++++++++++++++++++++++++++++++++++++
testing-x86_64/install | 10 ++++++
4 files changed, 154 insertions(+)
Copied: gnupg/repos/testing-i686/PKGBUILD (from rev 289764, gnupg/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2017-03-01 20:33:04 UTC (rev 289765)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
+
+pkgname=gnupg
+pkgver=2.1.19
+pkgrel=1
+pkgdesc='Complete and free implementation of the OpenPGP standard'
+url='http://www.gnupg.org/'
+license=('GPL')
+arch=('i686' 'x86_64')
+optdepends=('libldap: gpg2keys_ldap'
+ 'libusb-compat: scdaemon')
+makedepends=('libldap' 'libusb-compat')
+depends=('npth' 'libgpg-error' 'libgcrypt' 'libksba' 'libassuan'
+ 'pinentry' 'bzip2' 'readline' 'gnutls' 'sqlite')
+validpgpkeys=('D8692123C4065DEA5E0F3AB5249B39D24F25E3B6'
+ '46CC730865BB5C78EBABADCF04376F3EE0856959'
+ '031EC2536E580D8EA286A9F22071B08A33BD3F06'
+ 'D238EA65D64C67ED4C3073F28A861B1C7EFD60D9')
+source=("https://gnupg.org/ftp/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2"{,.sig})
+sha1sums=('10a088a6716789ac5c5cce2776952d8f4a5c57fc' 'SKIP')
+
+install=install
+
+conflicts=('dirmngr' 'gnupg2')
+provides=('dirmngr' "gnupg2=${pkgver}")
+replaces=('dirmngr' 'gnupg2')
+
+prepare() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ sed '/noinst_SCRIPTS = gpg-zip/c sbin_SCRIPTS += gpg-zip' -i tools/Makefile.in
+}
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --sbindir=/usr/bin \
+ --libexecdir=/usr/lib/gnupg \
+ --enable-maintainer-mode \
+ --enable-symcryptrun \
+
+ make
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make check || true
+ # https://lists.gnupg.org/pipermail/gnupg-devel/2016-December/032364.html
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+ ln -s gpg2 "${pkgdir}"/usr/bin/gpg
+ ln -s gpgv2 "${pkgdir}"/usr/bin/gpgv
+ ln -s gpg2.1.gz "${pkgdir}"/usr/share/man/man1/gpg.1.gz
+
+ cd doc/examples/systemd-user
+ for i in *.*; do
+ install -Dm644 "$i" "${pkgdir}/usr/lib/systemd/user/$i"
+ done
+}
Copied: gnupg/repos/testing-i686/install (from rev 289764, gnupg/trunk/install)
===================================================================
--- testing-i686/install (rev 0)
+++ testing-i686/install 2017-03-01 20:33:04 UTC (rev 289765)
@@ -0,0 +1,10 @@
+post_install() {
+ # See FS#42798 and FS#47371
+ dirmngr </dev/null &>/dev/null || true
+}
+
+post_upgrade() {
+ if [[ $(vercmp $2 2.1.13-1) = -1 ]]; then
+ echo "==> Please kill running gpg-agent and dirmngr processes before using this release."
+ fi
+}
Copied: gnupg/repos/testing-x86_64/PKGBUILD (from rev 289764, gnupg/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2017-03-01 20:33:04 UTC (rev 289765)
@@ -0,0 +1,67 @@
+# $Id$
+# Maintainer: Gaetan Bisson <bisson at archlinux.org>
+# Contributor: Tobias Powalowski <tpowa at archlinux.org>
+# Contributor: Andreas Radke <andyrtr at archlinux.org>
+# Contributor: Judd Vinet <jvinet at zeroflux.org>
+
+pkgname=gnupg
+pkgver=2.1.19
+pkgrel=1
+pkgdesc='Complete and free implementation of the OpenPGP standard'
+url='http://www.gnupg.org/'
+license=('GPL')
+arch=('i686' 'x86_64')
+optdepends=('libldap: gpg2keys_ldap'
+ 'libusb-compat: scdaemon')
+makedepends=('libldap' 'libusb-compat')
+depends=('npth' 'libgpg-error' 'libgcrypt' 'libksba' 'libassuan'
+ 'pinentry' 'bzip2' 'readline' 'gnutls' 'sqlite')
+validpgpkeys=('D8692123C4065DEA5E0F3AB5249B39D24F25E3B6'
+ '46CC730865BB5C78EBABADCF04376F3EE0856959'
+ '031EC2536E580D8EA286A9F22071B08A33BD3F06'
+ 'D238EA65D64C67ED4C3073F28A861B1C7EFD60D9')
+source=("https://gnupg.org/ftp/gcrypt/${pkgname}/${pkgname}-${pkgver}.tar.bz2"{,.sig})
+sha1sums=('10a088a6716789ac5c5cce2776952d8f4a5c57fc' 'SKIP')
+
+install=install
+
+conflicts=('dirmngr' 'gnupg2')
+provides=('dirmngr' "gnupg2=${pkgver}")
+replaces=('dirmngr' 'gnupg2')
+
+prepare() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ sed '/noinst_SCRIPTS = gpg-zip/c sbin_SCRIPTS += gpg-zip' -i tools/Makefile.in
+}
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --sbindir=/usr/bin \
+ --libexecdir=/usr/lib/gnupg \
+ --enable-maintainer-mode \
+ --enable-symcryptrun \
+
+ make
+}
+
+check() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make check || true
+ # https://lists.gnupg.org/pipermail/gnupg-devel/2016-December/032364.html
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ make DESTDIR="${pkgdir}" install
+ ln -s gpg2 "${pkgdir}"/usr/bin/gpg
+ ln -s gpgv2 "${pkgdir}"/usr/bin/gpgv
+ ln -s gpg2.1.gz "${pkgdir}"/usr/share/man/man1/gpg.1.gz
+
+ cd doc/examples/systemd-user
+ for i in *.*; do
+ install -Dm644 "$i" "${pkgdir}/usr/lib/systemd/user/$i"
+ done
+}
Copied: gnupg/repos/testing-x86_64/install (from rev 289764, gnupg/trunk/install)
===================================================================
--- testing-x86_64/install (rev 0)
+++ testing-x86_64/install 2017-03-01 20:33:04 UTC (rev 289765)
@@ -0,0 +1,10 @@
+post_install() {
+ # See FS#42798 and FS#47371
+ dirmngr </dev/null &>/dev/null || true
+}
+
+post_upgrade() {
+ if [[ $(vercmp $2 2.1.13-1) = -1 ]]; then
+ echo "==> Please kill running gpg-agent and dirmngr processes before using this release."
+ fi
+}
More information about the arch-commits
mailing list